Package jxl.format

# Class RGB

java.lang.Object
jxl.format.RGB

public final class RGB extends Object
A structure which contains the RGB values for a particular colour

## Constructor Summary

Constructors
Constructor
Description
`RGB(int r, int g, int b)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlue()`
Accessor for the blue component
`int`
`getGreen()`
Accessor for the green component
`int`
`getRed()`
Accessor for the red component

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RGB

public RGB(int r, int g, int b)
Constructor

Parameters:
  `r` - the red component
  `g` - the green component
  `b` - the blue component

## Method Details

### getRed

public int getRed()
Accessor for the red component

Returns:
  the red component of the colour, between 0 and 255

### getGreen

public int getGreen()
Accessor for the green component

Returns:
  the green component of the colour, between 0 and 255

### getBlue

public int getBlue()
Accessor for the blue component

Returns:
  the blue component of the colour, between 0 and 255